---
title: vultr_region
url: https://docs.vultr.com/reference/terraform/data-sources/region
description: Retrieves detailed information about a specific Vultr region using filters to query by attributes like region ID.
publish_date: 2025-09-15T13:33:50.235363Z
last_updated: 2025-09-15T14:14:44.195595Z
---

# vultr_region

Get information about a Vultr region.

## Example Usage

Get the information for a region by `id`:

```hcl
data "vultr_region" "my_region" {
  filter {
    name   = "id"
    values = ["sea"]
  }
}
```

## Argument Reference

The following arguments are supported:

* `filter` - (Required) Query parameters for finding regions.

The `filter` block supports the following:

* `name` - Attribute name to filter with.
* `values` - One or more values filter with.

## Attributes Reference

The following attributes are exported:

* `continent` - The continent the region is in.
* `country` - The country the region is in.
* `city` - The city the region is in.
* `options` - Shows whether options like ddos protection or block storage are available in the region.